
<!DOCTYPE html>
<html>
<head>

    <script type="text/javascript" src="https://code.jquery.com/jquery-2.1.1.min.js"></script>
    <title>Geolocation</title>
    <meta name="viewport" content="initial-scale=1.0, user-scalable=no">
    <meta charset="utf-8">
    <style>
        /* Always set the map height explicitly to define the size of the div
         * element that contains the map. */
        #map {
            height: 100%;
        }
        /* Optional: Makes the sample page fill the window. */
        html, body {
            height: 100%;
            margin: 0;
            padding: 0;
        }
    </style>
</head>
<body>
<div id="map"></div>
<script>
    var map;
    var marker; //Marqueur accident
    // Note: This example requires that you consent to location sharing when
    // prompted by your browser. If you see the error "The Geolocation service
    // failed.", it means you probably did not give permission for the browser to
    // locate you.

    function initMap() {
        map = new google.maps.Map(document.getElementById('map'), {
            center: {lat: -34.397, lng: 150.644},
            zoom: 6
        });
        var infoWindow = new google.maps.InfoWindow({map: map});

        // Try HTML5 geolocation.
        if (navigator.geolocation) {
            navigator.geolocation.getCurrentPosition(function(position) {
                var pos = {
                    lat: position.coords.latitude,
                    lng: position.coords.longitude
                };

                infoWindow.setPosition(pos);
                infoWindow.setContent('Location found.');
                map.setCenter(pos);
            }, function() {
                handleLocationError(true, infoWindow, map.getCenter());
            });
        } else {
            // Browser doesn't support Geolocation
            handleLocationError(false, infoWindow, map.getCenter());
        }

        google.maps.event.addListener(map, 'click',function(event){
            var a = event.latLng.lat();
            var b = event.latLng.lng();

            var pr = $.ajax ({
                type: "POST",
                url: "../../../js/ajax/setCoordonneesMap.php",
                data : {"x" : a, "y" : b}
            });
            pr.done(function (data, status, jqXHR) {

            });
            pr.fail(function (error, status, text) {
                alert("ERREUR : " + error.status);
                console.log(error);
            });

            if(marker)
                marker.setMap(null);
            marker = new google.maps.Marker({
                position: {lat : a, lng : b},
                map: map,
                title: 'Accident!'
            });

        });
    }

    function handleLocationError(browserHasGeolocation, infoWindow, pos) {
        infoWindow.setPosition(pos);
        infoWindow.setContent(browserHasGeolocation ?
            'Error: The Geolocation service failed.' :
            'Error: Your browser doesn\'t support geolocation.');
    }


</script>
<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCjPhR1VGL-LOjTwBBnbUWllBSUwfmWePU&callback=initMap"></script>
</body>
</html>






</script>


</body>



</html>